@echo off
rem *************************************************************
rem * Local OCF Configuration                                   * 
rem *************************************************************
rem * Modifying these settings should be sufficient to          *
rem * run the demo applications.                                *
rem *                                                           *
rem * Where the OpenCard Framework is installed                 *
set OCF_INSTALLDIR=G:\devtools\OpenCard\OCF1.2\
rem *                                                           *
rem * The next two Variables are only needed when using a       *
rem * Pure Java CardTerminal.                                   *
rem *                                                           *
rem * Path to the Comm API classes (comm.jar)                   *
set OCF_COMMAPI=
rem *                                                           *
rem * Path to the OCF CardTerminal classes provided by          *
rem * the reader hardware vendor                                *
set OCF_PUREJAVA_CARDTERMINAL=%OCF_INSTALLDIR%\lib\gemplus-terminals.jar
rem *                                                           *
rem * Set Classpath for JDK1.1                                  *
set OCF_CLASSPATH=%CLASSPATH%
rem *                                                           *
rem *************************************************************
rem * No changes should be neccessary below this point.         *
rem *************************************************************


rem *************************************************************
rem * OCF base classes                                          *
rem *************************************************************

set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_INSTALLDIR%lib\base-core.jar
set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_INSTALLDIR%lib\base-opt.jar
set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_INSTALLDIR%lib\reference-services.jar


rem *************************************************************
rem * Classes needed for OCF demos                              *
rem *************************************************************

set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_INSTALLDIR%lib\sb-demo.jar
set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_INSTALLDIR%lib\sb-demo-ext.jar


rem *************************************************************
rem * CardTerminal configuration                                *
rem *************************************************************

rem PC/SC CardTerminal classes
set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_INSTALLDIR%lib\reference-terminals-windows.jar
rem Add OCF PC/SC dll's to search path
set PATH=%PATH%;%OCF_INSTALLDIR%lib

rem Pure Java CardTermial classes (Java Communications API needed)
set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_COMMAPI%
set OCF_CLASSPATH=%OCF_CLASSPATH%;%OCF_PUREJAVA_CARDTERMINAL%

rem *************************************************************
rem * END of configuration                                      *
rem *************************************************************

echo Setting up environment...
echo (Edit %OCF_INSTALLDIR%\demos\setenv.bat
echo to change these settings.)
echo ------------------------------------------------------------ 
echo OCF_INSTALLDIR=%OCF_INSTALLDIR%
echo OCF_CLASSPATH=%OCF_CLASSPATH%
echo PATH=%PATH%
echo ------------------------------------------------------------ 
